<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmCpu: X:/kmCpuDefs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmCpu
   </div>
   <div id="projectbrief">kmCpu library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_cpu_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmCpuDefs.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>CPU auxiliary library definitions for AVR MCUs.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
</div>
<p><a href="km_cpu_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a550fe6b02a611769ddbfa05f7ba4ef6d" id="r_a550fe6b02a611769ddbfa05f7ba4ef6d"><td class="memItemLeft" align="right" valign="top"><a id="a550fe6b02a611769ddbfa05f7ba4ef6d" name="a550fe6b02a611769ddbfa05f7ba4ef6d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_32768_HZ</b>&#160;&#160;&#160;32768</td></tr>
<tr class="memdesc:a550fe6b02a611769ddbfa05f7ba4ef6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 32 768 Hz. <br /></td></tr>
<tr class="separator:a550fe6b02a611769ddbfa05f7ba4ef6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b212649bf8551df7b45446530cd236e" id="r_a8b212649bf8551df7b45446530cd236e"><td class="memItemLeft" align="right" valign="top"><a id="a8b212649bf8551df7b45446530cd236e" name="a8b212649bf8551df7b45446530cd236e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_1000000_HZ</b>&#160;&#160;&#160;1000000</td></tr>
<tr class="memdesc:a8b212649bf8551df7b45446530cd236e"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 1 000 000 Hz. <br /></td></tr>
<tr class="separator:a8b212649bf8551df7b45446530cd236e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa1f9e225912eb14f56f839673b3b3b9" id="r_afa1f9e225912eb14f56f839673b3b3b9"><td class="memItemLeft" align="right" valign="top"><a id="afa1f9e225912eb14f56f839673b3b3b9" name="afa1f9e225912eb14f56f839673b3b3b9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_1843200_HZ</b>&#160;&#160;&#160;1843200</td></tr>
<tr class="memdesc:afa1f9e225912eb14f56f839673b3b3b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 1 843 200 Hz. <br /></td></tr>
<tr class="separator:afa1f9e225912eb14f56f839673b3b3b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17e11d2d85806afe16b63333ff5dac0e" id="r_a17e11d2d85806afe16b63333ff5dac0e"><td class="memItemLeft" align="right" valign="top"><a id="a17e11d2d85806afe16b63333ff5dac0e" name="a17e11d2d85806afe16b63333ff5dac0e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_2000000_HZ</b>&#160;&#160;&#160;2000000</td></tr>
<tr class="memdesc:a17e11d2d85806afe16b63333ff5dac0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 2 000 000 Hz. <br /></td></tr>
<tr class="separator:a17e11d2d85806afe16b63333ff5dac0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc2ad23ace1a76bb3094c60e5337d759" id="r_abc2ad23ace1a76bb3094c60e5337d759"><td class="memItemLeft" align="right" valign="top"><a id="abc2ad23ace1a76bb3094c60e5337d759" name="abc2ad23ace1a76bb3094c60e5337d759"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_3686400_HZ</b>&#160;&#160;&#160;3686400</td></tr>
<tr class="memdesc:abc2ad23ace1a76bb3094c60e5337d759"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 3 686 400 Hz. <br /></td></tr>
<tr class="separator:abc2ad23ace1a76bb3094c60e5337d759"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f53cbefee3058307de8fbf4c92659af" id="r_a2f53cbefee3058307de8fbf4c92659af"><td class="memItemLeft" align="right" valign="top"><a id="a2f53cbefee3058307de8fbf4c92659af" name="a2f53cbefee3058307de8fbf4c92659af"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_4000000_HZ</b>&#160;&#160;&#160;4000000</td></tr>
<tr class="memdesc:a2f53cbefee3058307de8fbf4c92659af"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 4 000 000 Hz. <br /></td></tr>
<tr class="separator:a2f53cbefee3058307de8fbf4c92659af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0df2dfe84f80dbda443583b2aab394be" id="r_a0df2dfe84f80dbda443583b2aab394be"><td class="memItemLeft" align="right" valign="top"><a id="a0df2dfe84f80dbda443583b2aab394be" name="a0df2dfe84f80dbda443583b2aab394be"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_7372800_HZ</b>&#160;&#160;&#160;7372800</td></tr>
<tr class="memdesc:a0df2dfe84f80dbda443583b2aab394be"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 7 372 800 Hz. <br /></td></tr>
<tr class="separator:a0df2dfe84f80dbda443583b2aab394be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1ee12c638b9646cade7d59fc40e6bf7" id="r_ad1ee12c638b9646cade7d59fc40e6bf7"><td class="memItemLeft" align="right" valign="top"><a id="ad1ee12c638b9646cade7d59fc40e6bf7" name="ad1ee12c638b9646cade7d59fc40e6bf7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_8000000_HZ</b>&#160;&#160;&#160;8000000</td></tr>
<tr class="memdesc:ad1ee12c638b9646cade7d59fc40e6bf7"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 8 000 000 Hz. <br /></td></tr>
<tr class="separator:ad1ee12c638b9646cade7d59fc40e6bf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76b3918cfad839c27fe6908a02e12ba0" id="r_a76b3918cfad839c27fe6908a02e12ba0"><td class="memItemLeft" align="right" valign="top"><a id="a76b3918cfad839c27fe6908a02e12ba0" name="a76b3918cfad839c27fe6908a02e12ba0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_9000000_HZ</b>&#160;&#160;&#160;9000000</td></tr>
<tr class="memdesc:a76b3918cfad839c27fe6908a02e12ba0"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 9 000000 Hz. <br /></td></tr>
<tr class="separator:a76b3918cfad839c27fe6908a02e12ba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15ae0ddc5604f1c8098c9710f311a797" id="r_a15ae0ddc5604f1c8098c9710f311a797"><td class="memItemLeft" align="right" valign="top"><a id="a15ae0ddc5604f1c8098c9710f311a797" name="a15ae0ddc5604f1c8098c9710f311a797"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_11059200_HZ</b>&#160;&#160;&#160;11059200</td></tr>
<tr class="memdesc:a15ae0ddc5604f1c8098c9710f311a797"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 11 059 200 Hz. <br /></td></tr>
<tr class="separator:a15ae0ddc5604f1c8098c9710f311a797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb5287e50ec482dc94c93334831695cc" id="r_aeb5287e50ec482dc94c93334831695cc"><td class="memItemLeft" align="right" valign="top"><a id="aeb5287e50ec482dc94c93334831695cc" name="aeb5287e50ec482dc94c93334831695cc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_14745600_HZ</b>&#160;&#160;&#160;14745600</td></tr>
<tr class="memdesc:aeb5287e50ec482dc94c93334831695cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 14 745 600 Hz. <br /></td></tr>
<tr class="separator:aeb5287e50ec482dc94c93334831695cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15b748822ac89065447fb61d51b4d3c7" id="r_a15b748822ac89065447fb61d51b4d3c7"><td class="memItemLeft" align="right" valign="top"><a id="a15b748822ac89065447fb61d51b4d3c7" name="a15b748822ac89065447fb61d51b4d3c7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_16000000_HZ</b>&#160;&#160;&#160;16000000</td></tr>
<tr class="memdesc:a15b748822ac89065447fb61d51b4d3c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 16 000 000 Hz. <br /></td></tr>
<tr class="separator:a15b748822ac89065447fb61d51b4d3c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d07c7d9c2b68665d036cd6f61686c55" id="r_a3d07c7d9c2b68665d036cd6f61686c55"><td class="memItemLeft" align="right" valign="top"><a id="a3d07c7d9c2b68665d036cd6f61686c55" name="a3d07c7d9c2b68665d036cd6f61686c55"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_18432000_HZ</b>&#160;&#160;&#160;18432000</td></tr>
<tr class="memdesc:a3d07c7d9c2b68665d036cd6f61686c55"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 18 432 000 Hz. <br /></td></tr>
<tr class="separator:a3d07c7d9c2b68665d036cd6f61686c55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5b8e359b5150a64ce100b6c61be24c" id="r_aae5b8e359b5150a64ce100b6c61be24c"><td class="memItemLeft" align="right" valign="top"><a id="aae5b8e359b5150a64ce100b6c61be24c" name="aae5b8e359b5150a64ce100b6c61be24c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_20000000_HZ</b>&#160;&#160;&#160;20000000</td></tr>
<tr class="memdesc:aae5b8e359b5150a64ce100b6c61be24c"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 20 000 000 Hz. <br /></td></tr>
<tr class="separator:aae5b8e359b5150a64ce100b6c61be24c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934766e33f008e4d393bb0093d55b635" id="r_a934766e33f008e4d393bb0093d55b635"><td class="memItemLeft" align="right" valign="top"><a id="a934766e33f008e4d393bb0093d55b635" name="a934766e33f008e4d393bb0093d55b635"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_24000000_HZ</b>&#160;&#160;&#160;24000000</td></tr>
<tr class="memdesc:a934766e33f008e4d393bb0093d55b635"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 24 000 000 Hz. <br /></td></tr>
<tr class="separator:a934766e33f008e4d393bb0093d55b635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb35e820a0ab49de7122421d54535456" id="r_adb35e820a0ab49de7122421d54535456"><td class="memItemLeft" align="right" valign="top"><a id="adb35e820a0ab49de7122421d54535456" name="adb35e820a0ab49de7122421d54535456"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_CLOCK_STD_25000000_HZ</b>&#160;&#160;&#160;25000000</td></tr>
<tr class="memdesc:adb35e820a0ab49de7122421d54535456"><td class="mdescLeft">&#160;</td><td class="mdescRight">CPU Clock at 25 000000 Hz. <br /></td></tr>
<tr class="separator:adb35e820a0ab49de7122421d54535456"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>CPU auxiliary library definitions for AVR MCUs. </p>
<ul>
<li><a class="el" href="km_cpu_8h.html">kmCpu.h</a></li>
<li><p class="startli"><a class="el" href="km_cpu_defs_8h.html" title="CPU auxiliary library definitions for AVR MCUs.">kmCpuDefs.h</a></p>
<p class="startli"><b>Created on</b>: Jul 10, 2019 <br  />
 <b>Author</b>: Krzysztof Moskwa <br  />
 <b>License</b>: GPL-3.0-or-later <br  />
<br  />
 kmCpu library for AVR MCUs <br  />
 <b>Copyright (C) 2019 Krzysztof Moskwa</b></p>
<p class="startli">This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p class="startli">This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p class="startli">You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</li>
</ul>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_cpu_defs_8h.html">kmCpuDefs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
